from celery import current_app as celery_current_app

from project.config import settings


def create_celery():
    """Clerey factory function."""
    celery_app = celery_current_app
    celery_app.config_from_object(settings, namespace="CELERY")

    return celery_app
